Bug 853671 - SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the directory samba.
SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the di...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:767e582cea488207ab900b294c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 21:14 EDT by Flóki Pálsson
Modified: 2012-09-12 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 19:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-01 21:14 EDT, Flóki Pálsson
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-01 21:14 EDT, Flóki Pálsson
no flags Details

  None (edit)
Description Flóki Pálsson 2012-09-01 21:14:53 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64

description:
:SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the directory samba.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that realmd should be allowed read access on the samba directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep realmd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:realmd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:samba_etc_t:s0
:Target Objects                samba [ dir ]
:Source                        realmd
:Source Path                   /usr/lib64/realmd/realmd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           realmd-0.6-1.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-14.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-0.rc2.git2.1.fc18.x86_64 #1
:                              SMP Wed Aug 22 11:54:04 UTC 2012 x86_64 x86_64
:Alert Count                   16
:First Seen                    2012-09-02 01:09:20 GMT
:Last Seen                     2012-09-02 01:10:20 GMT
:Local ID                      338b5601-3ab0-4dae-b795-8cb69b3fe79b
:
:Raw Audit Messages
:type=AVC msg=audit(1346548220.914:446): avc:  denied  { read } for  pid=1751 comm="realmd" name="samba" dev="sda3" ino=395618 scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:samba_etc_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1346548220.914:446): arch=x86_64 syscall=inotify_add_watch success=no exit=EACCES a0=6 a1=7f37d1ab7ec0 a2=1002fce a3=1 items=0 ppid=1 pid=1751 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=realmd exe=/usr/lib64/realmd/realmd subj=system_u:system_r:realmd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: realmd,realmd_t,samba_etc_t,dir,read
:
:audit2allow
:
:#============= realmd_t ==============
:allow realmd_t samba_etc_t:dir read;
:
:audit2allow -R
:
:#============= realmd_t ==============
:allow realmd_t samba_etc_t:dir read;
:
Comment 1 Flóki Pálsson 2012-09-01 21:14:56 EDT
Created attachment 609011 [details]
File: type
Comment 2 Flóki Pálsson 2012-09-01 21:14:58 EDT
Created attachment 609012 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-09-03 04:56:38 EDT
Could you execute

# semanage permissive -a realmd_t

or switch to permissive mode

to collect all AVC msgs. Thank you.
Comment 4 Flóki Pálsson 2012-09-03 19:12:16 EDT
>Could you execute

># semanage permissive -a realmd_t

>or switch to permissive mode
ok

>to collect all AVC msgs. Thank you.
how?
I tried to resend bug report with SELinux Alert Browser.
Comment 5 Daniel Walsh 2012-09-06 23:38:07 EDT
Fixed in selinux-policy-3.11.1-16.fc18.noarch
Comment 6 Fedora Update System 2012-09-07 09:25:31 EDT
selinux-policy-3.11.1-16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-16.fc18
Comment 7 Fedora Update System 2012-09-07 15:37:35 EDT
Package selinux-policy-3.11.1-16.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-16.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13554/selinux-policy-3.11.1-16.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-12 08:32:30 EDT
selinux-policy-3.11.1-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-13554/selinux-policy-3.11.1-18.fc18
Comment 9 Fedora Update System 2012-09-12 15:12:45 EDT
Package selinux-policy-3.11.1-18.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-18.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13554/selinux-policy-3.11.1-18.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-09-12 19:51:37 EDT
selinux-policy-3.11.1-18.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.